MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::PW91CFunctional Class Reference

The Perdew-Wang 1991 correlation functional computes energies and densities using the designated local correlation functional. More...

`#include <functional.h>`

Inheritance diagram for sc::PW91CFunctional:

List of all members.

## Public Member Functions

| PW91CFunctional (const Ref< KeyVal > &)
| PW91CFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)
void | set_spin_polarized (int)

## Protected Member Functions

void | init_constants ()
double | limit_df_drhoa (double rhoa, double gamma, double ec, double decdrhoa)

## Protected Attributes

Ref< LSDACFunctional > | local_
double | a
double | b
double | c
double | d
double | alpha
double | c_c0
double | c_x
double | nu

## Detailed Description

The Perdew-Wang 1991 correlation functional computes energies and densities using the designated local correlation functional.

J. P. Perdew, Proceedings of the 75. WE-Heraeus-Seminar and 21st Annual International Symposium on Electronic Structure of Solids held in Gaussig (Germany), March 11-15, 1991, P. Ziesche and H. Eschrig, eds., pp. 11-20.

J. P. Perdew, J. A. Chevary, S. H. Vosko, K. A. Jackson, M. R. Pederson, and D. J. Singh, Phys. Rev. B, 46, 6671, 1992.

## Member Function Documentation

void sc::PW91CFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h